aboutsummaryrefslogtreecommitdiffstats
path: root/roms/skiboot/external/pflash/test/tests/01-info
diff options
context:
space:
mode:
Diffstat (limited to 'roms/skiboot/external/pflash/test/tests/01-info')
-rw-r--r--roms/skiboot/external/pflash/test/tests/01-info23
1 files changed, 23 insertions, 0 deletions
diff --git a/roms/skiboot/external/pflash/test/tests/01-info b/roms/skiboot/external/pflash/test/tests/01-info
new file mode 100644
index 000000000..583d275c4
--- /dev/null
+++ b/roms/skiboot/external/pflash/test/tests/01-info
@@ -0,0 +1,23 @@
+#! /bin/sh
+# SPDX-License-Identifier: Apache-2.0 OR GPL-2.0-or-later
+
+touch "$DATA_DIR/$CUR_TEST.pnor"
+
+# Don't record the output of ffspart
+../ffspart/ffspart -s 0x1000 -c 10 -i "$DATA_DIR/$CUR_TEST.ffs" \
+ -p "$DATA_DIR/$CUR_TEST.pnor" 2>&1 >/dev/null
+if [ "$?" -ne 0 ] ; then
+ fail_test
+fi
+
+run_binary "./pflash" "-F $DATA_DIR/$CUR_TEST.pnor --info"
+if [ "$?" -ne 0 ] ; then
+ fail_test
+fi
+
+#--info will print the name of the file which will change between runs
+sed -i "s|$DATA_DIR/$CUR_TEST.pnor|FILE|" "$STDOUT_OUT"
+
+diff_with_result
+
+pass_test